# Ogre::ScriptCompilerEvent Class Reference
General

This struct is a base class for events which can be thrown by the compilers and caught by subscribers. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ScriptCompilerEvent:
[legend]

List of all members.

## Public Member Functions

| ScriptCompilerEvent (const String &type)
virtual | ~ScriptCompilerEvent ()

## Public Attributes

String | mType

## Private Member Functions

| ScriptCompilerEvent (const ScriptCompilerEvent &)
ScriptCompilerEvent & | operator= (const ScriptCompilerEvent &)

## Detailed Description

This struct is a base class for events which can be thrown by the compilers and caught by subscribers.

There are a set number of standard events which are used by Ogre's core. New event types may be derived for more custom compiler processing.

Definition at line 327 of file OgreScriptCompiler.h.

## Constructor & Destructor Documentation

Ogre::ScriptCompilerEvent::ScriptCompilerEvent | ( | const String & | type | ) |

Definition at line 332 of file OgreScriptCompiler.h.

virtual Ogre::ScriptCompilerEvent::~ScriptCompilerEvent | ( |  | ) | `[virtual]`

Definition at line 333 of file OgreScriptCompiler.h.

Ogre::ScriptCompilerEvent::ScriptCompilerEvent | ( | const ScriptCompilerEvent & |  | ) | `[private]`

## Member Function Documentation

ScriptCompilerEvent& Ogre::ScriptCompilerEvent::operator= | ( | const ScriptCompilerEvent & |  | ) | `[private]`

## Member Data Documentation

String Ogre::ScriptCompilerEvent::mType

Definition at line 330 of file OgreScriptCompiler.h.

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:17